#### Playbooks
Added the following new playbooks:
- **Policy Optimizer - Generic** - This playbook is triggered by the **Policy Optimizer** incident type, and can execute any of the following sub-playbooks managing the remediation sub-playbooks.
- **Policy Optimizer - Manage Port Based Rules** - This playbook migrates port-based rules to application-based allow rules to reduce the attack surface and safely enable applications on your network.
- **Policy Optimizer - Manage Rules with Unused Applications** - This playbook helps identify and remove unused applications from security policy rules. If you have application-based security policy rules that allow a large number of applications, you can remove unused applications (applications never seen on the rules) from those rules to allow only applications actually seen in the rule’s traffic. This strengthens your security posture by reducing the attack surface.
- **Policy Optimizer - Manage Unused Rules** - This playbook helps identify and remove unused rules that do not pass traffic in your environment.
- **New: Policy Optimizer - Add Applications to Policy Rules** - This playbook edits rules with unused applications or rules that are port based, and adds an application to the rule. It includes communication tasks to get a rule name and the application to edit from the user.

#### Scripts
Added the following new scripts:
- **EntryWidgetPortBasedRules** - This entry widget returns the number of port based rules found by PAN-OS.
- **EntryWidgetUnusedApplications** - This entry widget returns the number of rules with unused applications found by PAN-OS policy optimizer.
- **EntryWidgetUnusedRules** - This entry widget returns the number of unused rules found by PAN-OS policy.

#### Layouts
Added the new **Policy Optimizer Layout** to display the use-cases in the pack.

#### Incident Types
Added the new **Policy Optimizer** incident type, which triggers the main playbook in the pack.

#### Incident Fields
Added the following new incident fields:
- **PAN-OS Port Based Rules**
- **PAN-OS Rules with Unused Applications**
- **PAN-OS Unused Rules**
- **Policy Optimizer Use-Case**

#### Integrations
Added the new **PAN-OS Policy Optimizer** integration.
